# IB4LLM

**Submit the code of IBProtector to NeurIPS2024**

## Dependent version

```bash
pip install -U fschat==0.2.20 transformers==4.36.2 torch==2.1.1
```

## Running the experiments

You can execute the following command
```bash
python main.py  --results_dir ./our_results  --target_model llama2  --attack GCG --method vib --cuda 0
```
The denfense method can be chosen: **none**, **smooth**, **selfdefense**, **sft**, **unlearning**, **semantic**, and **vib**, Note that the **vib**, **sft**, and **unlearning** need to fine-tune the LLMs in advance, via the corresponding commands. For example,*python test_finetuning.py* for finetuning the IBProtector of Vicuna-13b.

You can also run the main results through the script:

```bash
bash script.sh
```

## Evaluating the results
Find the examples in *./eval/eval_asr.py*,  *./eval/eval_harm.py*, *./eval/eval_gpt.py*, *./eval/eval_friedman.py*, and *./eval/eval_time.py* to evaluate the results.


